Bug 136337 - grub trashes mbr
grub trashes mbr
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-19 07:51 EDT by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-25 18:04:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-10-19 07:51:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040929

Description of problem:
This isn't a common situation, but it highlights a possible assumption
made by grub or the fedora installer.

Here's my setup.
PRIMARY MASTER CD drive
PRIMARY SLAVE Windows XP

SECONDARY MASTER Fedora
I'm not sure how XP is installed as primary slave, but it works
(perhaps a disk rearrangement).

After installing grub on the mbr of the first disk and rebooting, grub
will fail.
It will either show the message "grub geom error" or just "grub".
No operating system is bootable.

The workaround for me was to switch the XP drive to the primary
master, boot from an XP cd, run fixmbr, reboot then reinstall FC3.

Eugh.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
x

Additional info:
Comment 1 Peter Jones 2005-01-25 18:04:59 EST
This is probably your BIOS, not grub.  Either way, pretty unlikely
that we'll fix it.  If this is going to be fixed, it needs to be done
upstream in FSF's tree.

Note You need to log in before you can comment on or make changes to this bug.